com.google.gwt.user.client.ui

## Class ChangeListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<ChangeListener>
      - - com.google.gwt.user.client.ui.ChangeListenerCollection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ChangeListener>, java.util.Collection<ChangeListener>, java.util.List<ChangeListener>, java.util.RandomAccess
  Direct Known Subclasses:
    DelegatingChangeListenerCollection

  Deprecated.
  Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

      @Deprecated
      public class ChangeListenerCollection
      extends java.util.ArrayList<ChangeListener>

  A helper class for implementers of the SourcesChangeEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `ChangeListener`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeListenerCollection()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireChange(Widget sender)` Deprecated. Fires a change event to all listeners.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### ChangeListenerCollection

          public ChangeListenerCollection()

      Deprecated.

  - ### Method Detail

    - #### fireChange

          public void fireChange(Widget sender)

      Deprecated.
      Fires a change event to all listeners.
      Parameters:
        `sender` - the widget sending the event.